#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	iw
Version		:	5.19
Release		:	14.4.0.0%{?dist}
Summary		:	A nl80211 based wireless configuration tool

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	http://www.kernel.org/pub/software/network/iw

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	gcc
BuildRequires	:	linux-headers	>= 2.6.24
BuildRequires	:	libnl-devel
BuildRequires	:	pkg-config
#-----------------------------------------------------------------------------
%description
iw is a new nl80211 based CLI configuration utility for wireless devices.
Currently you can only use this utility to configure devices which
use a mac80211 driver as these are the new drivers being written - 
only because most new wireless devices being sold are now SoftMAC.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license COPYING
%{_sbindir}/%{name}
%{_datadir}/man/man8/iw.8.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	MANDIR=%{_mandir}				\
	install

#-----------------------------------------------------------------------------
%changelog
